<style>
  .link_orange {
    color: #e3811b;
  }
  .link_orange:hover {
    background-color: #e3811b;
    color: #444;
  }
</style>

<h4>
  <%= t('.title', person: Person.model_name.human.pluralize) %>
  <%= link_to t('.new', person: Person.model_name.human), new_person_path, class: 'btn btn-outline-warning' %>
</h4>

<table data-tablesort='true' data-toggle="tablesort" class="tablesorter">
  <thead>
    <tr>
      <th><%= Person.human_attribute_name(:firstname) %></th>
      <th><%= Person.human_attribute_name(:lastname) %></th>
      <th>Email</th>
      <th><%= Person.human_attribute_name(:adress) %></th>
      <th><%= Person.human_attribute_name(:phone) %></th>
      <th><%= Person.human_attribute_name(:moreinfo) %></th>
      <th colspan="2"></th>
      <th>Login</th>
    </tr>
  </thead>

  <tbody>
    <% @people.each do |person| %>
      <tr>
        <td><%= person.firstname %></td>
        <td><%= person.lastname %></td>
        <td><%= person.email %></td>
        <td><%= person.adress %></td>
        <td><%= person.phone %></td>
        <td><%= person.moreinfo %></td>
        <td><%= link_to fa_icon_edit, edit_person_path(person) %></td>
        <td><%= link_to fa_icon_delete, person, method: :delete, data: { confirm: t('confirm.sure') } %></td>
        <td>
          <% if person.user %>
            <%= person.user.name %>
          <% else %>
            <%= link_to 'create login', new_users_admin_path(person_id: person.id), class: 'link_orange' %><br>
            <%= link_to 'create login from LDAP', new_users_admin_path(ldap_user: true, person_id: person.id), class: 'link_orange' %>
          <% end %>
        </td>
      </tr>
    <% end %>
  </tbody>
</table>

<br>
